module Logging.Types.Class.Formattable ( Formattable(..) ) where

import           Logging.Types.Record


-- |A class represents a common trait of formatting 'LogRecord' as 'String'.
class Formattable a where
  format :: a -> LogRecord -> String
  formatTime :: a -> LogRecord -> String
